<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>XMLBuilderProperties (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XMLBuilderProperties (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/XMLBuilderProperties.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/XMLBuilderProperties.html" target="_top">Frames</a></li>
<li><a href="XMLBuilderProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder</div>
<h2 title="Interface XMLBuilderProperties" class="title">Interface XMLBuilderProperties&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - the type of the result of all set methods for method chaining</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/builder/fluent/XMLBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">XMLBuilderParameters</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">XMLBuilderParametersImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">XMLBuilderProperties&lt;T&gt;</span></pre>
<div class="block"><p>
 Definition of a parameters interface for XML configurations.
 </p>
 <p>
 The <code>XMLConfiguration</code> class defines a bunch of additional properties
 related to XML processing.
 </p>
 <p>
 <strong>Important note:</strong> This interface is not intended to be
 implemented by client code! It defines a set of available properties and may
 be extended even in minor releases.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: XMLBuilderProperties.java 1624757 2014-09-13 15:47:43Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html" title="type parameter in XMLBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html#setDocumentBuilder-javax.xml.parsers.DocumentBuilder-">setDocumentBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/javax/xml/parsers/DocumentBuilder.html?is-external=true" title="class or interface in javax.xml.parsers">DocumentBuilder</a>&nbsp;docBuilder)</code>
<div class="block">Allows setting the <code>DocumentBuilder</code> for parsing an XML document.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html" title="type parameter in XMLBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html#setEntityResolver-org.xml.sax.EntityResolver-">setEntityResolver</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/org/xml/sax/EntityResolver.html?is-external=true" title="class or interface in org.xml.sax">EntityResolver</a>&nbsp;resolver)</code>
<div class="block">Allows setting the <code>EntityResolver</code> which maps entity references
 during XML parsing.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html" title="type parameter in XMLBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html#setPublicID-java.lang.String-">setPublicID</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pubID)</code>
<div class="block">Sets the public ID of the DOCTYPE declaration.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html" title="type parameter in XMLBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html#setSchemaValidation-boolean-">setSchemaValidation</a></span>(boolean&nbsp;f)</code>
<div class="block">Sets the value of the schemaValidation flag.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html" title="type parameter in XMLBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html#setSystemID-java.lang.String-">setSystemID</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sysID)</code>
<div class="block">Sets the system ID of the DOCTYPE declaration.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html" title="type parameter in XMLBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html#setValidating-boolean-">setValidating</a></span>(boolean&nbsp;f)</code>
<div class="block">Sets a flag whether schema/DTD validation should be performed.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setDocumentBuilder-javax.xml.parsers.DocumentBuilder-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDocumentBuilder</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html" title="type parameter in XMLBuilderProperties">T</a>&nbsp;setDocumentBuilder(<a href="http://docs.oracle.com/javase/7/docs/api/javax/xml/parsers/DocumentBuilder.html?is-external=true" title="class or interface in javax.xml.parsers">DocumentBuilder</a>&nbsp;docBuilder)</pre>
<div class="block">Allows setting the <code>DocumentBuilder</code> for parsing an XML document.
 This is the most flexible way of customizing XML processing.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>docBuilder</code> - the <code>DocumentBuilder</code> to use</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setEntityResolver-org.xml.sax.EntityResolver-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEntityResolver</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html" title="type parameter in XMLBuilderProperties">T</a>&nbsp;setEntityResolver(<a href="http://docs.oracle.com/javase/7/docs/api/org/xml/sax/EntityResolver.html?is-external=true" title="class or interface in org.xml.sax">EntityResolver</a>&nbsp;resolver)</pre>
<div class="block">Allows setting the <code>EntityResolver</code> which maps entity references
 during XML parsing.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>resolver</code> - the <code>EntityResolver</code> to use</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setPublicID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPublicID</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html" title="type parameter in XMLBuilderProperties">T</a>&nbsp;setPublicID(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pubID)</pre>
<div class="block">Sets the public ID of the DOCTYPE declaration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pubID</code> - the public ID</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setSystemID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSystemID</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html" title="type parameter in XMLBuilderProperties">T</a>&nbsp;setSystemID(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sysID)</pre>
<div class="block">Sets the system ID of the DOCTYPE declaration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sysID</code> - the system ID</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setValidating-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValidating</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html" title="type parameter in XMLBuilderProperties">T</a>&nbsp;setValidating(boolean&nbsp;f)</pre>
<div class="block">Sets a flag whether schema/DTD validation should be performed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>f</code> - the validation flag</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setSchemaValidation-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setSchemaValidation</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderProperties.html" title="type parameter in XMLBuilderProperties">T</a>&nbsp;setSchemaValidation(boolean&nbsp;f)</pre>
<div class="block">Sets the value of the schemaValidation flag. This flag determines whether
 DTD or Schema validation should be used.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>f</code> - the flag value, <b>true</b> for schema validation, <b>false</b>
        for DTD validation</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/XMLBuilderProperties.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/XMLBuilderProperties.html" target="_top">Frames</a></li>
<li><a href="XMLBuilderProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
